Index: /ipk/source.sh4/lcdpearlskins_atemio_style/CONTROL/control
===================================================================
--- /ipk/source.sh4/lcdpearlskins_atemio_style/CONTROL/control	(revision 13845)
+++ /ipk/source.sh4/lcdpearlskins_atemio_style/CONTROL/control	(revision 13845)
@@ -0,0 +1,11 @@
+Package: titan-plugin-lcdpearlskins-atemio.style
+Version: 1.0
+Description: Alternativer Skin fuer Pearl LCD V1.6
+Section: tools
+Priority: optional
+Maintainer: AAF Forum
+Architecture: sh4
+OE: Skin fuer Pearl LCD
+Homepage: http://www.aaf-digital.info
+Depends:
+Source: http://www.aaf-digital.info
Index: /ipk/source.sh4/lcdpearlskins_atemio_style/CONTROL/postinst
===================================================================
--- /ipk/source.sh4/lcdpearlskins_atemio_style/CONTROL/postinst	(revision 13845)
+++ /ipk/source.sh4/lcdpearlskins_atemio_style/CONTROL/postinst	(revision 13845)
@@ -0,0 +1,14 @@
+#!/bin/sh
+TMP=/tmp/.TOOLS
+echo "Erfolgreich installiert...."
+
+if [ `df | grep /dev/mtdblock | grep mnt | sed 's/ \+/ /g' | cut -d ' ' -f4 | head -n1 | wc -l` -eq 1 ] && [ $link = "/mnt/swapextensions" ]; then
+	SPACE=`df | grep /dev/mtdblock | grep mnt | sed 's/ \+/ /g' | cut -d ' ' -f4 | head -n1`
+	FREE=`expr $SPACE - 100`
+	echo new freespace size $FREE kb
+else
+	echo "syncing disk"
+	sync
+fi
+echo "Nach Restart wird der Skin für Pearl LCD genutzt...."
+exit 0
Index: /ipk/source.sh4/lcdpearlskins_atemio_style/CONTROL/postrm
===================================================================
--- /ipk/source.sh4/lcdpearlskins_atemio_style/CONTROL/postrm	(revision 13845)
+++ /ipk/source.sh4/lcdpearlskins_atemio_style/CONTROL/postrm	(revision 13845)
@@ -0,0 +1,16 @@
+#!/bin/sh
+TMP=/tmp/.TOOLS
+
+mv /var/swap/titanplugins/lcdpearl1/originalskin.xml /var/swap/titanplugins/lcdpearl1/skin.xml
+echo "Originalskin wird wieder hergestellt....."
+
+
+echo "Erfolgreich deinstalliert"
+if [ `df | grep /dev/mtdblock | grep mnt | sed 's/ \+/ /g' | cut -d ' ' -f4 | head -n1 | wc -l` -eq 1 ] && [ $link = "/mnt/swapextensions" ]; then
+	SPACE=`df | grep /dev/mtdblock | grep mnt | sed 's/ \+/ /g' | cut -d ' ' -f4 | head -n1`
+	FREE=`expr $SPACE - 100`
+	echo new freespace size $FREE kb
+else
+	sync
+fi
+exit 0
Index: /ipk/source.sh4/lcdpearlskins_atemio_style/CONTROL/preinst
===================================================================
--- /ipk/source.sh4/lcdpearlskins_atemio_style/CONTROL/preinst	(revision 13845)
+++ /ipk/source.sh4/lcdpearlskins_atemio_style/CONTROL/preinst	(revision 13845)
@@ -0,0 +1,60 @@
+#!/bin/sh
+#
+TMP=/tmp/.TOOLS
+
+model=`cat /etc/model`
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
+
+echo "checking lcdpearl installation"
+if [ ! -d /var/swap/titanplugins/lcdpearl1 ]; then
+  echo "--------------------------"
+	echo "Keine lcdpearl Installation gefunden! Bitte erst das lcdpearl Plugin istallieren!"
+	echo "--------------------------"
+	exit 1
+fi
+echo "lcdpearl Installation ok...."
+
+if [ `df | grep /dev/mtdblock | grep mnt | sed 's/ \+/ /g' | cut -d ' ' -f4 | head -n1 | wc -l` -eq 1 ] && [ $link = "/mnt/swapextensions" ]; then
+	SPACE=`df | grep /dev/mtdblock | grep mnt | sed 's/ \+/ /g' | cut -d ' ' -f4 | head -n1`
+	FREE=`expr $SPACE - 100`
+	SIZE=2900
+	echo "checking freespace"
+	echo packege size $SIZE kb
+	echo freespace size $FREE kb
+	if  [ "$FREE" -lt "$SIZE" ]; then
+		echo "sorry no freespace left on device"
+		exit 1
+	else
+		echo ok		
+	fi
+else
+	echo "syncing disk"
+	sync
+fi
+buildgroup=`cat /etc/.buildgroup`
+echo "checking OS"	 
+if  [ `cat /etc/motd | grep $buildgroup | grep M | grep rev | wc -l` -eq 0 ]; then 	 	 
+	echo --------------------------- 	 	 
+	echo DONT USE this IPK Package!! 	 	 
+	echo --- 	 	 
+	echo Only for $buildgroup Image!! 	 	 
+	echo --------------------------- 	 	 
+	exit 1 	 	 
+fi
+
+mv /var/swap/titanplugins/lcdpearl1/skin.xml /var/swap/titanplugins/lcdpearl1/originalskin.xml
+echo "Sichere Originalskin....."
+
+echo "Installiere Pearl LCD Skin..."
+
+exit 0
Index: /ipk/source.sh4/lcdpearlskins_atemio_style/CONTROL/prerm
===================================================================
--- /ipk/source.sh4/lcdpearlskins_atemio_style/CONTROL/prerm	(revision 13845)
+++ /ipk/source.sh4/lcdpearlskins_atemio_style/CONTROL/prerm	(revision 13845)
@@ -0,0 +1,13 @@
+#!/bin/sh
+TMP=/tmp/.TOOLS
+
+if [ `df | grep /dev/mtdblock | grep mnt | sed 's/ \+/ /g' | cut -d ' ' -f4 | head -n1 | wc -l` -eq 1 ] && [ $link = "/mnt/swapextensions" ]; then
+	SPACE=`df | grep /dev/mtdblock | grep mnt | sed 's/ \+/ /g' | cut -d ' ' -f4 | head -n1`
+	FREE=`expr $SPACE - 100`
+	echo new freespace size $FREE kb
+else
+	echo "syncing disk"
+	sync
+fi
+echo "Deinstalliere Pearl LCD Skin...."
+exit 0
Index: /ipk/source.sh4/lcdpearlskins_atemio_style/var/swap/titanplugins/lcdpearl1/skin.xml
===================================================================
--- /ipk/source.sh4/lcdpearlskins_atemio_style/var/swap/titanplugins/lcdpearl1/skin.xml	(revision 13845)
+++ /ipk/source.sh4/lcdpearlskins_atemio_style/var/swap/titanplugins/lcdpearl1/skin.xml	(revision 13845)
@@ -0,0 +1,6 @@
+<screen halign=center name=LCD_Pearl1 posx=0 posy=0 width=320 height=240 bgcol=#000000>
+<node func=getalternatepicon posx=0 posy=1 width=223 height=110 valgin=middle halign=center picwidth="223" picheight="110"/>
+<node halign=center bordersize=2 progresscol=bordercol bgcol=white  halign=left func=getepgakttimeline bordercol=bordercol borderradius=5  name=epgline posy=115 posx=center width=290 height=20/>
+<node halign=center func=getepgakttitle bordersize=0  bordercol=bordercol fontsize=28 posx=10 posy=141 width=300 height=30  fontcol=fontcol/>
+<node halign=center text="" name=akttime fontsize=78 fontcol=bordercol posx=55 posy=165 width=210 height=78/>
+</screen>
